Results 1 to 3 of 3
  1. #1
    Join Date
    Feb 2002
    Location
    Germany
    Posts
    141

    Unhappy Unanswered: Java Runtime - SPB, WSAD

    DB2 7.2 Fixpack 7, W2K

    I'm trying to create a stored procedure using a package from jakarta. When I write a normal class in WSAD (running Beta 5), I can run it without problems.

    I can compile the class from my CLP (javac ...). But if I create the stored procedure and try to run it, I become the error message "Bad major version number". I suppose, the Jakarta package was compiled with JDK 1.4 and the DB2 java runtime is older (???).

    When I try to compile this class within Stored Procedure Builder, I become the following error:
    wrong version: 46, expected 45.
    I suppose (I'm really not fit with this java stuff) that SPB uses another runtime and another compiler (from %DB2PATH%\java ???).

    My question:
    Can I change the DB2 Environment, so that DB2 uses the new JDK and runtime? If I can do it, will SPB use it, or I must change something there too?

    If I wrote some "insanity", please let me know! I'll appreciate your comments.


    Any input is wellcome!
    Rodney Krick

  2. #2
    Join Date
    Feb 2002
    Location
    Germany
    Posts
    141
    I've posted now at ibm.software.db2.udb. If I get an answer, I'll put it here.
    Rodney Krick

  3. #3
    Join Date
    Aug 2001
    Location
    UK
    Posts
    4,650
    Nice of you RKrick ...

    Try comp.databases.ibm-db2 as well ...

    Cheers

    Sathyaram

    Originally posted by RKrick
    I've posted now at ibm.software.db2.udb. If I get an answer, I'll put it here.
    Visit the new-look IDUG Website , register to gain access to the excellent content.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •